﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Comparer
{
	public class LangElem
	{
		public String _file;
		public String _name;
		public String _author;
		public String _version;

		public LangElem( )
		{
			//
		}
		public LangElem( String filepath )
		{
			if (!filepath.Equals( "$" ))
			{
				IniFile langfile = new IniFile( filepath );

				this._file = filepath.Substring(filepath.LastIndexOf( "\\" ) +1 );
				this._name = langfile.GetString( "Language", "LanguageName", "<UNKNOWN>" );
				this._author = langfile.GetString( "Language", "Author", "<UNKNOWN>" );
				this._version = langfile.GetString( "Language", "Version", "<UNKNOWN>" );
			}
			else
			{
				this._file = "$";
				this._name = "english (built-in)";
				this._author = "fenixproductions";
				this._version = "1.0.6.0";
			}
		}

		public override string ToString()
		{
			return this._name;
		}
	}
}
